{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"15e05aae2d47a4d5593ab5daf50f68fa5036326d","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-16.0.1.tgz","fileCount":6,"integrity":"sha512-jAME6mO4UULntgPNmPP8R2uwuEnJkccyD2IYVlvggOokcLldkzuFvkWMf6JIU+tlj+XBK0YqWp0iQP83PJSD6A==","signatures":[{"sig":"MEUCIAeAgrX/MAwv8P8BEzd4+YMBO85sRdFxH8VGt20dq+4bAiEAqSQEFLgqp1+i7CIBa+uzqRZ8LFtLUFgdf2q3OTUlNVE=","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":211952},"main":"index.js","name":"idn-hostname","type":"commonjs","types":"./index.d.ts","author":{"name":"SorinGFS"},"gitHead":"1b3eea1279d42675a9caac1b6129470ebe928276","license":"MIT","scripts":{"test":"echo \"Error: no test specified\" && exit 1"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"11.19.0","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.20.0","dependencies":{"punycode":"^2.3.1"},"_hasShrinkwrap":false,"readmeFilename":"readme.md","devDependencies":{"@types/punycode":"^2.1.4"},"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_16.0.1_1788024550346_0.5989598394871196","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@16.0.1","version":"16.0.1"}